/*
 * rec_buf.h
 *
 *
 *  Created on: 18-01-2021
 *      Author: KJ
 */

#ifndef REC_BUF_H_
#define REC_BUF_H_

#define REC_CHAN_ENABLED_DFR	0x00000001

#include "tdefs.h"

struct rec_buf_logic
{
	u16 *buf_ptr;
	struct analog_in_params *an_params;
};

struct rec_buf_io
{
	u32 buf_u16_ptr_in;
	u32 param_an_ptr_in;
}__attribute__((__packed__));

struct rec_buf_params
{
	u32 bits;
}__attribute__((__packed__));

struct rec_buf_args
{
	struct rec_buf_io io;
	struct rec_buf_params params;
//	u16 crc;
}__attribute__((__packed__));

extern int rec_buf_initlog(void *args, void *logic);

#endif /* REC_BUF_H_ */
